Subject: Re: What's cooking in git.git (Aug 2025, #05; Mon, 11)

From: Jean-Noël AVILA <[email-masked]>
Date: Tue, 12 Aug 2025 17:24:16 +0200

On Tuesday, 12 August 2025 10:29:45 CEST Junio C Hamano wrote:
> Here are the topics that have been cooking in my tree.  Commits
> prefixed with '+' are in 'next' (being in 'next' is a sign that a
> topic is stable enough to be used and are candidate to be in a
> future release).  Commits prefixed with '-' are only in 'seen', and
> aren't considered "accepted" at all and may be annotated with an URL
> to a message that raises issues but they are no means exhaustive.  A
> topic without enough support may be discarded after a long period of
> no activity (of course they can be resubmit when new interests
> arise).
> 
> Copies of the source code to Git live in many repositories, and the
> following is a list of the ones I push into or their mirrors.  Some
> repositories have only a subset of branches.
> 
> * ja/doc-lint-sections-and-synopsis (2025-08-11) 6 commits
>  - doc lint: check that synopsis manpages have synopsis inlines
>  - doc:git-for-each-ref: fix styling and typos
>  - doc: check for absence of the form --[no-]parameter
>  - doc: check for absence of multiple terms in each entry of desc list
>  - doc: check well-formedness of delimited sections
>  - doc: test linkgit macros for well-formedness
> 
>  Doc lint updates to encourage the newer and easier-to-use
>  `synopsis` format, with fixes to a handful of existing uses.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>
> 
> 

These patches are designed to not raise false positives, trading it for 
letting true positives pass through. For instance, the "synopsis" patch cannot 
catch keywords which are just one word.

 If possible, I'd like to see how they behave against upcoming documentation 
changes described in this "cooking". This is in order to not have to revert 
them at some point.

Jean-Noël